---
agentTools:
  projectIndex: https://docs.privakey.com/llms.txt
---

# Revoke Device

Revokes a device, rendering its keys useless.

**Revocation is permanent**; devices cannot be unrevoked and must be re-added through the bind process in order to be used again.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Settings",
    "version": "2.4"
  },
  "servers": [
    {
      "url": "https://cloud.privakey.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/api/device/revoke": {
      "patch": {
        "summary": "Revoke Device",
        "description": "Revokes a device, rendering its keys useless.\n\n**Revocation is permanent**; devices cannot be unrevoked and must be re-added through the bind process in order to be used again.",
        "operationId": "revoke-device",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "Either Basic or HMAC, depending on how the Request Origin is configured.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "Basic <basic creds>"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/x-www-form-urlencoded": {
              "schema": {
                "type": "object",
                "required": [
                  "deviceGuid"
                ],
                "properties": {
                  "deviceGuid": {
                    "type": "string",
                    "description": "GUID of the device to revoke."
                  }
                }
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "204",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": " "
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "security": [],
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --location --request PATCH \"https://cloud.privakey.com/api/device/revoke\" --header \"Authorization: Basic <basicCreds>\"--header \"Content-Type: application/x-www-form-urlencoded\" --data \"deviceGuid=069ad557-7440-475f-9cf1-f013ce993c06\""
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "660d684fcb33080067214619:660d684fcb33080067214632"
}
```